Subject: Re: [rtcweb] Plan for MTI video codec?

From: Florian Weimer <[email-masked]>
Date: Sun, 02 Nov 2014 12:03:28 +0100

* Stephan Wenger:

> Nokia has made MPEG and ISO/IEC officially aware that they are not
> willing to license essential patents under RAND terms.

Does this even matter, in relative terms?  RAND licenses for H.264
aren't available, either.  The only patent licenses readily available
to implementors explicitly exclude commercial use of implementations,
which can hardly qualify as “reasonable”.

This is not restricted to Cisco's OpenH264 effort, most video
conferencing equipment is not licensed for commercial use.

---

From: <[email-masked]>
Date: Fri, 14 Nov 2014 00:51:43 +0000

Hi Adam, all,

Since we are going to discuss video codecs today, I thought to clarify something that was said earlier.  

Adam Roach wrote 25. lokakuuta 2014 2:33
> 
> On 10/22/14 14:45, Stephan Wenger wrote:
> > ...
>>...
> Thanks for the update.
> That's actually even more interesting than it first appears to be. The official
> rationale previously offered by Nokia was that the refusal to license patents
> [0] for VP8 was that VP8 had not been through an appropriate standards
> process [1]. The fact that Nokia is now using those same patents to *block*
> VP8-based work from going through an appropriate standards process pretty
> clearly exposes that claim as false. This isn't aimed at ensuring "open and
> collaborative efforts for
> standardization": this is aimed at suppressing technology.
> 

The key here is "open and collaborative efforts for standardization", though. Nokia does not think the *way* VP8 has been dealt with in MPEG meets that criteria. Collaborative effort means that all interested parties actually have a fair chance to contribute. With VP8 in MPEG this has not been the case, but it has been just a matter of pushing a ready-made technology through with no changes in practice possible. For those who are just a user of video codecs like WebRTC is, it may not matter how the codecs are developed or where they come from as long as they work, but for those who actually do codec development it does. There has been some criticism over how Opus was developed too, but it was certainly a much more open and collaborative model than what has happened with VP8 in MPEG. 

So the original reasons for Nokia's "unwilling to license under RF or RAND" declarations are still valid. I'm sure people have a lot of different views on this and the MPEG process, but I just wanted to convey Nokia's viewpoint. And I know there are also lot of companies/people who agree with it.

Personally I'm sad to see these types of issues getting in the way of interoperability, but that has unfortunately been the story with the video codecs for a while. It seems the next generation video codecs are facing the exact same issue, hopefully the next-next generation will be better off...

Regards,
	Markus

---

From: Roman Shpount <[email-masked]>
Date: Thu, 13 Nov 2014 21:21:17 -0500

Markus,

Not to be harsh, but all of this to me this sounds like Nokia is trying to
sabotage any chance for MTI in any foreseeable future since it was not
consulted when VP8 was developed and is not part of VP9 development
process. Since Nokia is not offering anything constructive, such as any
concrete steps on how to resolve this situation, these motives seems to me
childish at best. At worst this is typical patent trolling.

_____________
Roman Shpount

On Thu, Nov 13, 2014 at 7:51 PM, <[email-masked]> wrote:

> The key here is "open and collaborative efforts for standardization",
> though. Nokia does not think the *way* VP8 has been dealt with in MPEG
> meets that criteria. Collaborative effort means that all interested parties
> actually have a fair chance to contribute. With VP8 in MPEG this has not
> been the case, but it has been just a matter of pushing a ready-made
> technology through with no changes in practice possible. For those who are
> just a user of video codecs like WebRTC is, it may not matter how the
> codecs are developed or where they come from as long as they work, but for
> those who actually do codec development it does. There has been some
> criticism over how Opus was developed too, but it was certainly a much more
> open and collaborative model than what has happened with VP8 in MPEG.
>
> So the original reasons for Nokia's "unwilling to license under RF or
> RAND" declarations are still valid. I'm sure people have a lot of different
> views on this and the MPEG process, but I just wanted to convey Nokia's
> viewpoint. And I know there are also lot of companies/people who agree with
> it.
>
> Personally I'm sad to see these types of issues getting in the way of
> interoperability, but that has unfortunately been the story with the video
> codecs for a while. It seems the next generation video codecs are facing
> the exact same issue, hopefully the next-next generation will be better
> off...
>
> Regards,
>         Markus
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: Ron <[email-masked]>
Date: Fri, 14 Nov 2014 13:12:52 +1030

On Fri, Nov 14, 2014 at 12:51:43AM +0000, [email-masked] wrote:
> meets that criteria. Collaborative effort means that all interested
> parties actually have a fair chance to contribute. With VP8 in MPEG
> this has not been the case, but it has been just a matter of pushing a
> ready-made technology through with no changes in practice possible.

I'm not clear on how you think you were denied a "fair chance" here?

Is Nokia saying they *tried* to contribute something of real value
to VP8 and were rebuffed?

Or are you just saying the usual game of everybody trying to stack
a proposed technology with their own "essential" patents didn't
play out because this one was carefully written to avoid them?

One of these would confirm Adam's observation.  The other I believe,
would actually be New Information.

> For those who are just a user of video codecs like WebRTC is, it may
> not matter how the codecs are developed or where they come from as
> long as they work, but for those who actually do codec development it
> does. There has been some criticism over how Opus was developed too,
> but it was certainly a much more open and collaborative model than
> what has happened with VP8 in MPEG. 

Was that "criticism" made in public somewhere, or do you mean there
was some internal griping that it also sought to avoid proprietary
encumbrances and you were unable to poison the well with it too?

I certainly don't recall ever seeing such criticism about the process
the IETF followed with it, and actual contributions which were warmly
welcomed came from many individuals and organisations.  Including
several where IPR was donated under RF terms.

IIRC Nokia did some listening tests, but I don't recall them ever
actually attempting to contribute any technology or ideas to the
development of it.

If my memory is simply failing me, I'd welcome some pointers to
things which back up your claims here to refresh it.

---

From: <[email-masked]>
Date: Fri, 14 Nov 2014 03:11:54 +0000

Hi,

Ron wrote:
>
> >There has been some criticism over how Opus was developed too,
> Was that "criticism" made in public somewhere, ...
>
>...
> 
> If my memory is simply failing me, I'd welcome some pointers to things which
> back up your claims here to refresh it.
> 

http://www.ietf.org/proceedings/85/slides/slides-85-videocodec-7.pdf

(But I don't think we should continue this discussion at RTCWEB list. The point was not to bash the Opus process, on the contrary.) 

Markus

---

From: Mohammed Raad <[email-masked]>
Date: Fri, 14 Nov 2014 07:49:27 +0200

Markus,

Nokia made no technical contributions to VCB (the MPEG name for the VP8
compatible standard under development). Nokia had plenty of opportunities
to do so. Google had even suggested to MPEG a technical criteria for
accepting new technology into VCB. Nokia could have taken the initiative
and made a technical contribution to at least test that offer. Instead
Nokia sent us a patent declaration that said Nokia would not license it's
patents reading on VCB without telling MPEG which patents the Nokia people
think read on VCB. How you consider this a defence of open standards
development is beyond me.

The funny thing is that it was Nokia people pushing for more challenging
visual tests at MPEG for VCB. Well, we know how that turned out.

Mohammed
On 14 Nov 2014 05:12, <[email-masked]> wrote:

> (But I don't think we should continue this discussion at RTCWEB list. The
> point was not to bash the Opus process, on the contrary.)
>
> Markus
>

---

From: Ron <[email-masked]>
Date: Fri, 14 Nov 2014 17:47:53 +1030

> http://www.ietf.org/proceedings/85/slides/slides-85-videocodec-7.pdf

I don't see any of that making a complaint about the process that was
followed or its openness.  Just a 20/20 hindsight look at things we
learned that could have been done earlier in the process than they
actually were.  Considering the amount of new ground we were breaking
in the IETF with that group, a "debrief" like that seems like both a
valuable part of the process itself, and a measure of praise if that's
really the worst mistakes we made somewhere along the line on the
first attempt.

> (But I don't think we should continue this discussion at RTCWEB list.
> The point was not to bash the Opus process, on the contrary.)

I wasn't really aiming to revisit Opus here, I was trying to figure out
what your definition of "open and collaborative efforts for standardization"
actually was.

We've been told repeatedly that the ISO is an "open standards process"
by the proponents of H.264.  Now you seem to be telling us that it's not.

I'm curious about the measure we are supposed to apply to tell the
difference.